@import (reference) "../helpers/_var";
@import (reference) "../fonts/_icons";

.catalog-grid-section {
  & {
    max-width: @container_width;
    margin: 0 auto 100px;
    text-align: center;

    @media (max-width: @screen_tablet) {
      margin-bottom: 50px;
    }
  }

  & > .title {
    margin: 0;
    padding-bottom: 30px;
    font-size: 45px;
    font-family: @font_primary;
    color: @primary_color;

    @media (max-width: @screen_tablet) {
      font-size: 28px;
      padding-bottom: 20px;
    }
  }

  .grid-block {
    & {
      display: grid;
      grid-template-columns: repeat(4, 1fr);
      grid-template-rows: repeat(3, 260px);
      grid-gap: 1.5em;
      padding: 1.5em;

      @media (max-width: @screen_tablet) {
        grid-template-columns: 1fr;
        grid-template-rows: repeat(7, 300px);
        grid-gap: 1em;
        padding: 1em;
      }
    }

    .block {
      & {
        padding: 20px;
        border-radius: 6px;
        position: relative;
        overflow: hidden;
        color: @second_color;
        background-position: center;
        background-size: cover;
        background-repeat: no-repeat;
      }

      &:after {
        content: '';
        position: absolute;
        z-index: 0;
        top: 0;
        opacity: 0;
        transition: .3s;
        bottom: 0;
        right: 0;
        left: 0;
        display: block;
        background-color: rgba(52, 102, 52, 0.55);
      }

      &:hover:after {
        opacity: 1;
      }

      &:hover {
        color: #fff;
      }

      .title {
        & {
          position: relative;
          z-index: 1;
          text-align: right;
          font-family: @font_second;
          font-size: 30px;
          font-weight: 300;
          margin: 0;

          @media (max-width: @screen_tablet) {
            font-size: 28px;
          }
        }
      }
    }

    .item-1 {
      grid-column: 1 / 3;
      grid-row: 1 / 3;

      @media (max-width: @screen_tablet) {
        grid-column: 1 / 1;
        grid-row: 1;
      }
    }

    .item-2 {
      grid-column: 3 / 5;
      grid-row: 1;

      @media (max-width: @screen_tablet) {
        grid-column: 1 / 1;
        grid-row: 7;
      }
    }

    .item-4 {
      grid-column: 3 / 5;
      grid-row: 3;

      @media (max-width: @screen_tablet) {
        grid-column: 1 / 1;
      }
    }
  }
}